=== debian/changelog ===
gitmagic (20100608-1) unstable; urgency=low

  * Merged upstream version 20100608
  * Bump Standards-Version to 3.8.4
  * Switch to 3.0 (quilt) source package format

 -- Francois Marier <francois@debian.org>  Wed, 09 Jun 2010 09:09:27 +1200

gitmagic (20091118-1) unstable; urgency=high

  * Merging upstream version 20091118
    - now supports building with asciidoc 8.5 (closes: #556829)

 -- Francois Marier <francois@debian.org>  Wed, 18 Nov 2009 21:13:55 +1300

gitmagic (20091107-1) unstable; urgency=low

  * Merging upstream version 20091107

 -- Francois Marier <francois@debian.org>  Sat, 07 Nov 2009 16:58:30 +1300

gitmagic (20090907-1) unstable; urgency=low

  * Merging upstream version 20090807
    - now includes upstream "ChangeLog"
  * Adopt package (closes: #543935)
  * Build the HTML book, avoid compressing gitmagic.pdf and fix the local
    links to these books to point to the right place (LP: #352359)

  * Improve "upstream" target (renamed to get-orig-source) to generate
    an upstream ChangeLog and use UTC for the date
  * Add dummy watch file documenting what "new releases" consist of
  * Add VCS fields (in git of course!)
  * Lowercase first letter of short description
  * Add README.source for our use of quilt (lintian warning)
  * Fix dependency-related lintian warnings

 -- Francois Marier <francois@debian.org>  Mon, 07 Sep 2009 17:07:34 +1200

gitmagic (20090801-2) unstable; urgency=low

  * Orphaning package.
  * Removing vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 16:40:17 +0200

gitmagic (20090801-1) unstable; urgency=low

  * Merging upstream version 20090801.
  * Minimizing rules file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 03 Aug 2009 00:30:38 +0200

gitmagic (20090701-1) unstable; urgency=low

  * Merging upstream version 20090701.
  * Updating package to standards version 3.8.2.

 -- Daniel Baumann <daniel@debian.org>  Fri, 10 Jul 2009 11:56:55 +0200

gitmagic (20090601-1) unstable; urgency=low

  * Using correct rfc-2822 date formats in changelog.
  * Merging upstream version 20090601.

 -- Daniel Baumann <daniel@debian.org>  Mon, 01 Jun 2009 11:58:11 +0200

gitmagic (20090501-1) unstable; urgency=low

  * Merging upstream version 20090501.

 -- Daniel Baumann <daniel@debian.org>  Sun, 03 May 2009 14:32:00 +0200

gitmagic (20090401-1) unstable; urgency=low

  * Updating year in copyright file.
  * Merging upstream version 20090401.
  * Rediffing tidy-anchors.patch
  * Tidy rules file.
  * Upgrading package to standards 3.8.1.

 -- Daniel Baumann <daniel@debian.org>  Mon, 06 Apr 2009 03:19:00 +0200

gitmagic (20090201-1) unstable; urgency=low

  * Merging upstream version 20090201.

 -- Daniel Baumann <daniel@debian.org>  Sun, 01 Feb 2009 14:51:00 +0100

gitmagic (20090101-1) unstable; urgency=low

  * Merging upstream version 20090101.
  * Prefixing debhelper files with package name.
  * Using quilt rather than dpatch.

 -- Daniel Baumann <daniel@debian.org>  Fri, 09 Jan 2009 13:01:00 -0500

gitmagic (20081115-1) unstable; urgency=low

  * Initial release.

 -- Daniel Baumann <daniel@debian.org>  Sat, 15 Nov 2008 10:28:00 +0100
