=== debian/control ===
Source: gitmagic
Section: doc
Priority: optional
Maintainer: Francois Marier <francois@debian.org>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: asciidoc, gawk, docbook-utils, tidy, xmlto
Standards-Version: 3.8.4
Homepage: http://www-cs-students.stanford.edu/~blynn/gitmagic/
Vcs-git: git://git.debian.org/git/collab-maint/gitmagic.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gitmagic.git;a=summary

Package: gitmagic
Architecture: all
Depends: ${misc:Depends}
Description: guide about Git version control system
 Git is a version control Swiss army knife. A reliable versatile multipurpose
 revision control tool whose extraordinary flexibility makes it tricky to learn,
 let alone master.
 .
 This is easier to understand guide for Git than the official Git user manual.
