=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

DATE=$(shell date --utc +%Y%m%d)

get-orig-source:
	# Needs: git-core
	cd .. && git clone git://repo.or.cz/gitmagic.git gitmagic-$(DATE)
	cd ../gitmagic-$(DATE) && git log --pretty=format:"%aD%n- %s%n" --no-merges > ChangeLog
	cd .. && rm -rf gitmagic-$(DATE)/.git
	tar cfz ../gitmagic-$(DATE).tar.gz ../gitmagic-$(DATE)
	rm -rf ../gitmagic-$(DATE)/

override_dh_auto_build:
	$(MAKE) book book.html book.pdf

override_dh_auto_install:
	install -D -m 0644 book.html debian/gitmagic/usr/share/doc/gitmagic/gitmagic.html
	install -D -m 0644 book.pdf debian/gitmagic/usr/share/doc/gitmagic/gitmagic.pdf
	install -D -m 0644 book.css debian/gitmagic/usr/share/doc/gitmagic/html/default.css
	cp -a book/* debian/gitmagic/usr/share/doc/gitmagic/html

override_dh_compress:
	dh_compress --exclude=gitmagic.pdf
