## gitmagic 20101222

=== Makefile ===
--- 
+++ 
@@ -16,12 +16,9 @@
 	# Concatenate the text files and feed to AsciiDoc.
 	# If a file has not yet been translated for the target language,
 	# then substitute the English version.
-	# Kludge to make preface sections work for languages besides English
-	# for older AsciiDoc versions.
-	if [[ `asciidoc --version | cut -f 2 -d ' '` < "8.4.5" ]]; then \
+	# Kludge to support any translation of "Preface".
 	echo '[specialsections]' > conf ; \
-	sed -n '/^== .* ==$$/p' $(LANG)/preface.txt | sed 's/^== \(.*\) ==$$/^\1$$=sect-preface/' >> conf ; \
-	else echo "" > conf ; fi; \
+	sed -n '/^== .* ==$$/p' $(LANG)/preface.txt | sed 's/^== \(.*\) ==$$/^\1$$=preface/' >> conf ; \
 	( for FILE in $^ ; do if [ -f $$FILE ]; then cat $$FILE; else \
 	cat en/$$(basename $$FILE); fi; echo ; done ) | \
 	asciidoc -a lang=$(LANG) -d book -b docbook -f conf - > $@
