=== debian/changelog ===
gitmagic (20101222-1) unstable; urgency=low

  * Merged upstream version 20101222
  * Bump Standards-Version up to 3.9.1
  * Bump debhelper compatibility to 8

 -- Francois Marier <francois@debian.org>  Wed, 22 Dec 2010 16:36:19 +1300
