=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: doc
 Priority: optional
 Maintainer: Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 7.0.50)
+Build-Depends: debhelper (>= 8)
 Build-Depends-Indep: asciidoc, gawk, docbook-utils, tidy, xmlto
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www-cs-students.stanford.edu/~blynn/gitmagic/
 Vcs-git: git://git.debian.org/git/collab-maint/gitmagic.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gitmagic.git;a=summary
