=== debian/changelog ===
gitmagic (20120520-1ubuntu1) quantal; urgency=low

  * Add missing build dependency.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 26 May 2012 18:32:27 +0400

gitmagic (20120520-1) unstable; urgency=low

  * New upstream release
    - update local patches to match upstream Makefile changes
  * Bump Standards-Version to 3.9.3 
  * Bump debhelper compatibility to 9

 -- Francois Marier <francois@debian.org>  Sun, 20 May 2012 21:51:37 +1200
