=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: gitmagic
 Section: doc
 Priority: optional
-Maintainer: Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 8)
-Build-Depends-Indep: asciidoc, gawk, docbook-utils, tidy, xmlto
-Standards-Version: 3.9.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Francois Marier <francois@debian.org>
+Build-Depends: debhelper (>= 9)
+Build-Depends-Indep: asciidoc, gawk, docbook-utils, tidy, xmlto, texlive-lang-cyrillic
+Standards-Version: 3.9.3
 Homepage: http://www-cs-students.stanford.edu/~blynn/gitmagic/
 Vcs-git: git://git.debian.org/git/collab-maint/gitmagic.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gitmagic.git;a=summary
