=== debian/rules ===
--- 
+++ 
@@ -14,13 +14,14 @@
 	rm -rf ../gitmagic-$(DATE)/
 
 override_dh_auto_build:
-	$(MAKE) book book.html book.pdf
+	$(MAKE) book-en book-en.html book-en.pdf
 
 override_dh_auto_install:
-	install -D -m 0644 book.html debian/gitmagic/usr/share/doc/gitmagic/gitmagic.html
-	install -D -m 0644 book.pdf debian/gitmagic/usr/share/doc/gitmagic/gitmagic.pdf
+	install -D -m 0644 book-en.html debian/gitmagic/usr/share/doc/gitmagic/gitmagic.html
+	install -D -m 0644 book-en.pdf debian/gitmagic/usr/share/doc/gitmagic/gitmagic.pdf
 	install -D -m 0644 book.css debian/gitmagic/usr/share/doc/gitmagic/html/default.css
-	cp -a book/* debian/gitmagic/usr/share/doc/gitmagic/html
+	cp -a book-en/* debian/gitmagic/usr/share/doc/gitmagic/html
+	rm debian/gitmagic/usr/share/doc/gitmagic/html/book-en.proc
 
 override_dh_compress:
 	dh_compress --exclude=gitmagic.pdf
