## gitmagic 20131213

=== debian/changelog ===
gitmagic (20131213-2) unstable; urgency=low

  * fix privacy-breach-google-adsense lintian issue
  * bump Standards-Version to 3.9.5

 -- Sebastien Badia <seb@sebian.fr>  Sun, 22 Dec 2013 16:58:30 +0100

gitmagic (20131213-1) unstable; urgency=low

  * control: (lintian) Fixed Vcs-* links
  * control: update maintainer (closes: #673621)
  * New upstream release
  * Bump Standards-Version to 3.9.4

 -- Sebastien Badia <seb@sebian.fr>  Sat, 14 Dec 2013 00:53:13 +0100

gitmagic (20120520-2) unstable; urgency=medium

  * Add missing package to build-dependency to fix FTBFS (closes: #674303)

 -- Francois Marier <francois@debian.org>  Sun, 01 Jul 2012 22:04:22 +1200
