=== de/Makefile ===
../po4gitmagic/Makefile
