=== debian/changelog ===
gitmagic (20140125-1) unstable; urgency=low

  * New upstream release
  * Fix lintian error : privacy-breach-logo

 -- Sebastien Badia <seb@sebian.fr>  Sat, 25 Jan 2014 03:32:40 +0100
