=== debian/control ===
Source: gitmagic
Section: doc
Priority: optional
Maintainer: Sebastien Badia <seb@sebian.fr>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: asciidoc, gawk, docbook-utils, tidy, xmlto, texlive-lang-cyrillic
Standards-Version: 3.9.5
Homepage: http://www-cs-students.stanford.edu/~blynn/gitmagic/
Vcs-git: git://anonscm.debian.org/collab-maint/gitmagic.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gitmagic.git

Package: gitmagic
Architecture: all
Depends: ${misc:Depends}
Description: guide about Git version control system
 Git is a version control Swiss army knife. A reliable versatile multipurpose
 revision control tool whose extraordinary flexibility makes it tricky to learn,
 let alone master.
 .
 This is easier to understand guide for Git than the official Git user manual.
