=== debian/changelog ===
gitmagic (20160304-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/watch: changed to follow the last commit date.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 25 Nov 2019 18:54:58 -0300

gitmagic (20160304-1.1) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * Non-maintainer upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Bumped Standards-Version to 4.4.1.
      - Changed build dependency texlive-generic-recommended to
        texlive-plain-generic. Thanks to Steve Langasek
        <steve.langasek@canonical.com>. (Closes: #941524)
      - Updated Vcs-Git field.

  [ Ondřej Nový ]
  * Non-maintainer upload.
  * d/control: Fix wrong Vcs-Browser.
  * d/copyright: Use https protocol in Format field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 08 Oct 2019 23:17:08 -0300

gitmagic (20160304-1) unstable; urgency=medium

  * d/control:
      Bump Standards-version (no changes)
      Switch to https and cgit for vcs-browser URL
      Update Vcs-git url (use https)
      Add missing BD (Closes: #816518)
      Bump Standards-Version to 3.9.7 (no changes)
  * d/copyright: Fix dep5 headers (no-dep5-copyright)
  * Imported Upstream version 20160304
  * d/patches:
      Remove un-needed breach-logo patch
      Add breach-generic patch (googlefonts)
      Refresh patchs and disable selflink js

 -- Sebastien Badia <seb@sebian.fr>  Fri, 04 Mar 2016 12:01:25 -0300
