=== debian/control ===
--- 
+++ 
@@ -2,12 +2,18 @@
 Section: doc
 Priority: optional
 Maintainer: Sebastien Badia <seb@sebian.fr>
-Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: asciidoc, gawk, docbook-utils, tidy, xmlto, texlive-lang-cyrillic
-Standards-Version: 3.9.5
+Build-Depends: debhelper-compat (= 12)
+Build-Depends-Indep: asciidoc,
+                     docbook-utils,
+                     gawk,
+                     texlive-lang-cyrillic,
+                     texlive-plain-generic,
+                     tidy,
+                     xmlto
+Standards-Version: 4.4.1
 Homepage: http://www-cs-students.stanford.edu/~blynn/gitmagic/
-Vcs-git: git://anonscm.debian.org/collab-maint/gitmagic.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gitmagic.git
+Vcs-git: https://salsa.debian.org/debian/gitmagic.git
+Vcs-Browser: https://salsa.debian.org/debian/gitmagic
 
 Package: gitmagic
 Architecture: all
