=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,10 @@
 override_dh_auto_build:
 	$(MAKE) book-en book-en.html book-en.pdf
 
+override_dh_clean:
+	rm -rf conf
+	dh_clean
+
 override_dh_auto_install:
 	install -D -m 0644 book-en.html debian/gitmagic/usr/share/doc/gitmagic/gitmagic.html
 	install -D -m 0644 book-en.pdf debian/gitmagic/usr/share/doc/gitmagic/gitmagic.pdf
