=== debian/watch ===
# Upstream doesn't do packaged releases. Instead he commits to a git repository at:
#   git://repo.or.cz/gitmagic.git
#
# So the Debian package is a (roughly) monthly snapshot of what the repository is up to.
#
# To generate the tarball, I run "debian/rules get-orig-source" from the top level
# directory of the packaging clone.
#
#  -- Francois Marier <francois@debian.org>  Mon, 07 Sep 2009 13:09:33 +1200

# by Eriberto, 2019-11-25
# This implementation will look at last commit date. Note that these lines
# won't allow uscan to download anything but it will show the last version
# in upstream git repository.
version=4
opts="searchmode=plain, uversionmangle=s/-//g" \
https://github.com/blynn/gitmagic/commits/master relative-time.datetime=.(\d{4}-\d{2}-\d{2})T
